jQuery(document).ready(function () {
  jQuery('.paypal-button').each(function (key, element) {
    paypal.Button.render({
      payment: function (data, actions) {
        return actions.request.post('/api/paid/create', {
          type: 'paypal_gateway',
          options: JSON.stringify({
            data_entity_type: element.getAttribute('data-entity-type'),
            data_bundle: element.getAttribute('data-bundle'),
            data_field: element.getAttribute('data-field'),
            data_entity_id: element.getAttribute('data-entity-id'),
            data_field_value: element.getAttribute('data-field-value'),
          })
        })
          .then(function (res) {
            return res.id;
          });
      },
      onAuthorize: function (data, actions) {
        return actions.request.post('/api/paid/execute', {
          paymentID: data.paymentID,
          payerID: data.payerID,
          type: 'paypal_gateway',
        })
          .then(function (res) {
            window.location.reload()
          });
      }
    }, element.id)
  });

});
